<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://tempuri.org/"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="ProtocolloDocAreaServiceMTOM"
  targetNamespace="http://tempuri.org/">
  <wsdl:types>
    <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://tempuri.org/"
      targetNamespace="http://tempuri.org/" version="1.0">
      <xs:import namespace="http://tempuri.org/" />
      <xs:element name="aggiungiAllegato">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="strUserName" type="xs:string" />
            <xs:element name="strDST" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="aggiungiAllegatoResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="AggiungiAllegatoResult" type="tns:AggiungiAllegatoRet" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="inserimento">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="strUserName" type="xs:string" />
            <xs:element name="strDST" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="inserimentoResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="InserimentoResult" type="tns:InserimentoRet" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="login">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="strCodEnte" type="xs:string" />
            <xs:element name="strUserName" type="xs:string" />
            <xs:element name="strPassword" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="loginResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="LoginResult" type="tns:LoginRet" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="protocollazione">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="strUserName" type="xs:string" />
            <xs:element name="strDST" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="protocollazioneResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="ProtocollazioneResult" type="tns:ProtocollazioneRet" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="smistamentoAction">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="strUserName" type="xs:string" />
            <xs:element name="strDST" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="smistamentoActionResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="SmistamentoActionResult" type="tns:SmistamentoActionRet" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="sostituisciDocumentoPrincipale">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="strUserName" type="xs:string" />
            <xs:element name="strDST" type="xs:string" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="sostituisciDocumentoPrincipaleResponse">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="sostituisciDocumentoPrincipaleResult"
              type="tns:SostituisciDocumentoPrincipaleRet" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:complexType name="InserimentoRet">
        <xs:sequence>
          <xs:element name="lngDocID" type="xs:long" />
          <xs:element name="lngErrNumber" type="xs:long" />
          <xs:element minOccurs="0" name="strErrString" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="ProtocollazioneRet">
        <xs:sequence>
          <xs:element name="lngNumPG" type="xs:long" />
          <xs:element name="lngAnnoPG" type="xs:long" />
          <xs:element minOccurs="0" name="strDataPG" type="xs:string" />
          <xs:element name="lngErrNumber" type="xs:long" />
          <xs:element minOccurs="0" name="strErrString" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="SmistamentoActionRet">
        <xs:sequence>
          <xs:element name="lngDocID" type="xs:long" />
          <xs:element name="lngErrNumber" type="xs:long" />
          <xs:element minOccurs="0" name="strErrString" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="AggiungiAllegatoRet">
        <xs:sequence>
          <xs:element name="lngDocID" type="xs:long" />
          <xs:element name="lngErrNumber" type="xs:long" />
          <xs:element minOccurs="0" name="strErrString" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="LoginRet">
        <xs:sequence>
          <xs:element minOccurs="0" name="strDST" type="xs:string" />
          <xs:element name="lngErrNumber" type="xs:long" />
          <xs:element minOccurs="0" name="strErrString" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="SostituisciDocumentoPrincipaleRet">
        <xs:sequence>
          <xs:element name="lngDocID" type="xs:long" />
          <xs:element name="lngErrNumber" type="xs:long" />
          <xs:element minOccurs="0" name="strErrString" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="inserimento">
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strDST" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strAttachment" type="xsd:base64Binary"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="sostituisciDocumentoPrincipaleResponse">
    <wsdl:part name="return" type="tns:SostituisciDocumentoPrincipaleRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="protocollazione">
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strDST" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strAttachment" type="xsd:base64Binary"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="loginAooResponse">
    <wsdl:part name="return" type="tns:LoginRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="aggiungiAllegatoResponse">
    <wsdl:part name="return" type="tns:AggiungiAllegatoRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="protocollazioneResponse">
    <wsdl:part name="return" type="tns:ProtocollazioneRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="smistamentoAction">
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strDST" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strAttachment" type="xsd:base64Binary"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="loginResponse">
    <wsdl:part name="return" type="tns:LoginRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="smistamentoActionResponse">
    <wsdl:part name="return" type="tns:SmistamentoActionRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="inserimentoResponse">
    <wsdl:part name="return" type="tns:InserimentoRet"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="sostituisciDocumentoPrincipale">
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strDST" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strAttachment" type="xsd:base64Binary"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="loginAoo">
    <wsdl:part name="strCodEnte" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strAoo" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strPassword" type="xsd:string"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="aggiungiAllegato">
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strDST" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strAttachment" type="xsd:base64Binary"> </wsdl:part>
  </wsdl:message>
  <wsdl:message name="login">
    <wsdl:part name="strCodEnte" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strUserName" type="xsd:string"> </wsdl:part>
    <wsdl:part name="strPassword" type="xsd:string"> </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="ProtocolloDocAreaMTOM">
    <wsdl:operation name="inserimento">
      <wsdl:input message="tns:inserimento" name="inserimento"> </wsdl:input>
      <wsdl:output message="tns:inserimentoResponse" name="inserimentoResponse"> </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="protocollazione">
      <wsdl:input message="tns:protocollazione" name="protocollazione"> </wsdl:input>
      <wsdl:output message="tns:protocollazioneResponse" name="protocollazioneResponse"> </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="sostituisciDocumentoPrincipale">
      <wsdl:input message="tns:sostituisciDocumentoPrincipale" name="sostituisciDocumentoPrincipale"> </wsdl:input>
      <wsdl:output message="tns:sostituisciDocumentoPrincipaleResponse"
        name="sostituisciDocumentoPrincipaleResponse"> </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="loginAoo">
      <wsdl:input message="tns:loginAoo" name="loginAoo"> </wsdl:input>
      <wsdl:output message="tns:loginAooResponse" name="loginAooResponse"> </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="aggiungiAllegato">
      <wsdl:input message="tns:aggiungiAllegato" name="aggiungiAllegato"> </wsdl:input>
      <wsdl:output message="tns:aggiungiAllegatoResponse" name="aggiungiAllegatoResponse"> </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="login">
      <wsdl:input message="tns:login" name="login"> </wsdl:input>
      <wsdl:output message="tns:loginResponse" name="loginResponse"> </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="smistamentoAction">
      <wsdl:input message="tns:smistamentoAction" name="smistamentoAction"> </wsdl:input>
      <wsdl:output message="tns:smistamentoActionResponse" name="smistamentoActionResponse"> </wsdl:output>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ProtocolloDocAreaServiceMTOMSoapBinding" type="tns:ProtocolloDocAreaMTOM">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="inserimento">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="inserimento">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="inserimentoResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="protocollazione">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="protocollazione">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="protocollazioneResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="sostituisciDocumentoPrincipale">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="sostituisciDocumentoPrincipale">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="sostituisciDocumentoPrincipaleResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="loginAoo">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="loginAoo">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="loginAooResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="aggiungiAllegato">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="aggiungiAllegato">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="aggiungiAllegatoResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="login">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="login">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="loginResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="smistamentoAction">
      <soap:operation soapAction="" style="rpc" />
      <wsdl:input name="smistamentoAction">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:input>
      <wsdl:output name="smistamentoActionResponse">
        <soap:body namespace="http://tempuri.org/" use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ProtocolloDocAreaServiceMTOM">
    <wsdl:port binding="tns:ProtocolloDocAreaServiceMTOMSoapBinding"
      name="ProtocolloDocAreaMTOMPort">
      <soap:address
        location="http://sigedotest.comune.intranet/Protocollo/services/DOCAREAProtoSoapMTOM" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>